package com.doverfuelingsolutions.issp.data.entity

import com.wayne.www.waynelib.webservice.entity.PosTrx
import java.io.Serializable

data class WayneOrderRecord(
    val dc: String,
    val posTrx: PosTrx,
    val timeMills: Long,
) : Serializable {

    companion object {

        private const val serialVersionUID = 273576873L
    }

    // 超过 7 天认为过期
    fun isExpire(): Boolean {
        return System.currentTimeMillis() - timeMills > 604800000
    }
}